import React from 'react';
declare const Calendar: React.ForwardRefExoticComponent<{
    value?: Date | Date[] | null | undefined;
    mode?: "single" | "multiple" | "range" | "time" | undefined;
    onChange: (date: Date[], asString: string) => void;
    isOpened: boolean;
    onClickOutside?: ((clickTarget: Node) => void) | undefined;
    style?: React.CSSProperties | undefined;
    disabledDates?: Date[] | undefined;
    minDate?: Date | undefined;
    maxDate?: Date | undefined;
    focusDate?: Date | undefined;
    onBlur: (e: Event) => void;
    closeOnSelect?: boolean | undefined;
    autoFocus: boolean;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default Calendar;
